For LVAR Bridge, PMDG, IFLY -Support for P3dv4 latest P3D version must to be installed!
For Flight Sim World Update 12 Support you will need to run the latest SPAD.neXt beta (see this thread)

Currently it is not yet possible to renew your update subscription. This has NO influence on the functionallity of SPAD.neXt and will not lock you out from any updates. Renewal will be possible with next major release.
Due to summer vecation (until Sep. 5th 2018) there will be no response to support tickets.

It is currently 19 Sep 2018, 18:49

Login  •  Register

Who is online

In total there are 3 users online :: 1 registered, 0 hidden and 2 guests (based on users active over the past 5 minutes)
Most users ever online was 107 on 04 May 2018, 05:05

Statistics

Total posts 37350 • Total topics 3733 • Total members 3381 • Our newest member VFR Flyer

Tag cloud

Displaying the top 20 tags.